From 117d3baac74bd577833ab09656bd294a212a7755 Mon Sep 17 00:00:00 2001
From: Adrian Taylor <adetaylor@chromium.org>
Date: Oct 12 2020 23:33:30 +0000
Subject: [PATCH 1045/2232] Bazel/Buck test build fixups.


Sacrifices to satisfy the PR builder guardians.

---

diff --git a/tests/BUCK b/tests/BUCK
index 0ddf1a8..5bbe500 100644
--- a/tests/BUCK
+++ b/tests/BUCK
@@ -3,7 +3,10 @@ load("//tools/buck:rust_cxx_bridge.bzl", "rust_cxx_bridge")
 rust_test(
     name = "test",
     srcs = ["test.rs"],
-    deps = [":ffi"],
+    deps = [
+        ":ffi",
+        "//:cxx",
+    ],
 )
 
 rust_library(
diff --git a/tests/BUILD b/tests/BUILD
index 233926b..57ffab9 100644
--- a/tests/BUILD
+++ b/tests/BUILD
@@ -6,7 +6,10 @@ rust_test(
     name = "test",
     size = "small",
     srcs = ["test.rs"],
-    deps = [":cxx_test_suite"],
+    deps = [
+        ":cxx_test_suite",
+        "//:cxx",
+    ],
 )
 
 rust_library(

